## gxemul 0.3.7

=== experiments/Makefile ===
# $Id: Makefile,v 1.6 2005/06/28 11:34:52 debug Exp $

BINS=cp_removeblocks bintrans_eval try_runlen rssb_as \
	sgiprom_to_bin decprom_dump_txt_to_bin \
	new_test_1 new_test_2 new_test_x new_test_loadstore

all: $(BINS)

new_test_loadstore: new_test_loadstore_a.o new_test_loadstore_b.o
	$(CC) new_test_loadstore_a.o new_test_loadstore_b.o -o new_test_loadstore

clean:
	rm -f $(BINS) *.o *core

clean_all:
	$(MAKE) clean

=== src/tools/Makefile ===
BIN=generate_arm_dpi generate_arm_loadstore \
	generate_alpha_misc \
	generate_head generate_tail generate_ppc_loadstore

all: $(BIN)

generate_alpha_misc: generate_alpha_misc.c
	$(CC) generate_alpha_misc.c -o generate_alpha_misc

generate_arm_dpi: generate_arm_dpi.c
	$(CC) generate_arm_dpi.c -o generate_arm_dpi

generate_arm_loadstore: generate_arm_loadstore.c
	$(CC) generate_arm_loadstore.c -o generate_arm_loadstore

generate_head: generate_head.c
	$(CC) generate_head.c -o generate_head

generate_tail: generate_tail.c
	$(CC) generate_tail.c -o generate_tail

generate_ppc_loadstore: generate_ppc_loadstore.c
	$(CC) generate_ppc_loadstore.c -o generate_ppc_loadstore

clean:
	rm -f $(BIN) *core

## gxemul 0.3.8

=== experiments/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.6 2005/06/28 11:34:52 debug Exp $
+# $Id: Makefile,v 1.7 2005/12/19 01:38:24 debug Exp $
 
-BINS=cp_removeblocks bintrans_eval try_runlen rssb_as \
+BINS=cp_removeblocks bintrans_eval try_runlen \
 	sgiprom_to_bin decprom_dump_txt_to_bin \
-	new_test_1 new_test_2 new_test_x new_test_loadstore
+	new_test_1 new_test_2 new_test_x new_test_loadstore ic_statistics
 
 all: $(BINS)

## gxemul 0.4.3

=== demos/Makefile ===
all:
	@echo Read the README files for instructions on how to build
	@echo the demo programs.

clean:
	cd disk; $(MAKE) clean; cd ..
	cd hello; $(MAKE) clean; cd ..
	cd rectangles; $(MAKE) clean; cd ..
	rm -f *.o *core

=== experiments/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile,v 1.7 2005/12/19 01:38:24 debug Exp $
+# $Id: Makefile,v 1.9 2006/09/07 11:44:42 debug Exp $
 
-BINS=cp_removeblocks bintrans_eval try_runlen \
-	sgiprom_to_bin decprom_dump_txt_to_bin \
+BINS=cp_removeblocks bintrans_eval try_runlen udp_snoop \
+	sgiprom_to_bin decprom_dump_txt_to_bin hex_to_bin \
 	new_test_1 new_test_2 new_test_x new_test_loadstore ic_statistics
 
 all: $(BINS)

## gxemul 0.6.0

=== debian/changelog ===
gxemul (0.6.0-2ubuntu1) oneiric; urgency=low

  * Fix FTBFS with GCC-4.6, add missing includes. Closes: #625122, LP: #770939.
  * Ignore test results for this upload (1 test failure).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Sep 2011 13:27:37 +0200

gxemul (0.6.0-2) unstable; urgency=low

  * [6fbaf8] New patch mymkstemp.patch to fix runtime error when
    creating temporary files on Linux systems (Closes: #574537)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 19 Mar 2010 13:18:50 +0000

gxemul (0.6.0-1) unstable; urgency=low

  * [54e53c] New upstream version
  * [a0bd0a] Standards version 3.8.4
  * [eaccac] Update homepage in debian/control (Closes: #535654)
  * [03e9a2] Update watch file
  * [50cf38] Increase dependency on debhelper for use of overrides
  * [fe94dc] Install upstream changelog (HISTORY)
  * [230274] Source format 3.0 (quilt), ready for patches
  * [93a5fa] New patch buildsystem.patch to fix upstream's new build
    system
  * [850565] Refactor Debian packaging to fit new upstream build system
  * [371afb] Register documentation with install-docs
  * [71a712] Update copyright dates

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 16 Feb 2010 12:57:38 +0000

gxemul (0.4.7.2-1) unstable; urgency=low

  * [24d2f0] New upstream version
  * [f95d73] Update watch file to version=3, remove uupdate
  * [798a80] Bump standards version (no changes required)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 21 Jun 2009 23:05:30 +0100

gxemul (0.4.7.1-1) unstable; urgency=low

  * New Upstream Version:
    - Minor documentation errors fixed.
    - Some more missing M88K instructions added.
    - NetBSD/hpcmips can now be installed and run using serial console
      (i.e. without -X), in addition to using the framebuffer. 
  * Corrected dependency field for binary package gxemul
  * All patches integrated upstream; removing dpatch dependency and rules

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 07 Feb 2009 17:02:10 +0000

gxemul (0.4.7-1) unstable; urgency=low

  * New Upstream Version
    - Motorola 88100 emulation is now complete enough to run a guest 
      operating system
  * Patch 05_segfault_params is now integrated upstream
  * Revised patch 01_manhyphens_patch to fit new upstream
  * Added Debhelper dependencies to binary packages
  * Improvements to packaging in debian/rules
  * Update copyright information
  * Drop README.Debian (no longer relevant)
  * Increase compat level to 7
  * Insert Vcs-* fields in debian/control

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 03 Jan 2009 10:35:29 +0000

gxemul (0.4.6.6-3) unstable; urgency=low

  * Patch against segmentation fault if gxemul is started with arbitrary 
    parameters (LP: #301041)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 24 Nov 2008 11:10:27 +0000

gxemul (0.4.6.6-2) unstable; urgency=low

  * Using debhelper 7 to shrink debian/rules (thanks Sandro Tosi for the 
    tutorial)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 23 Nov 2008 21:46:20 +0000

gxemul (0.4.6.6-1) unstable; urgency=low

  * New upstream release: (Closes: #506704)
    - Patch which causes an ARM UND exception to be generated by the instruction word 0xe6000011, which is needed by gdb when running inside the emulator
    - Fix for a free() bug in bootlock_iso9660.c
    - OpenBSD/landisk installation instructions updated to 4.4
    - Most NetBSD installation instructions updated to 4.0.1
  * Add patch description to 01_manpage_hyphens.dpatch

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 16 Nov 2008 17:04:00 +0000

gxemul (0.4.6.5-3) unstable; urgency=low

  * Turned hyphens into dashes when used for arguments in the man page 
    (Closes: #497106)
  * Package no longer builds gxemul-doc_0.4.6.5-2_all.deb when binary-indep 
    target is not called (Closes: #497105)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 30 Aug 2008 01:00:51 +0100

gxemul (0.4.6.5-2) unstable; urgency=low

  * Fixed lintian error doc-package-should-be-section-doc

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 25 Aug 2008 20:06:00 +0100

gxemul (0.4.6.5-1) unstable; urgency=low

  * New upstream release
  * New maintainer. (Closes: #482067: O: gxemul -- machine emulator for
    multiple architectures)
  * No longer ignore make clean errors unless a makefile does not exist
  * Standards version 3.8.0.0

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 25 Aug 2008 17:52:27 +0100

gxemul (0.4.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Mon, 25 Feb 2008 07:59:42 +0100

gxemul (0.4.6.2-1) unstable; urgency=low

  * New upstream release (closes: #462350).
  * debian/control: Upgraded to Standards-Version 3.7.3 (no changes).

 -- Göran Weinholt <weinholt@debian.org>  Thu, 24 Jan 2008 19:49:32 +0100

gxemul (0.4.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Thu, 03 Jan 2008 18:32:27 +0100

gxemul (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 17 Jun 2007 08:58:45 +0200

gxemul (0.4.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Tue, 01 May 2007 12:39:20 +0200

gxemul (0.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 15 Apr 2007 11:36:41 +0200

gxemul (0.4.4.1-1) experimental; urgency=low

  * New upstream release.
  * Build with -O2 on m68k (closes: #398659).

 -- Göran Weinholt <weinholt@debian.org>  Sun, 18 Mar 2007 14:28:35 +0100

gxemul (0.4.4-1) experimental; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Mon, 19 Feb 2007 09:09:45 +0100

gxemul (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Drop the mips64emul dummy package.
  * Split the package into gxemul and gxemul-doc and move the
    documentation to the latter.


=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for gxemul.

#export DH_VERBOSE=1

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

override_dh_auto_configure:
	CFLAGS="${CFLAGS}" PREFIX="/usr" ./configure
	touch configure-stamp

override_dh_auto_test:
	-dh_auto_test

override_dh_install:
	dh_install
	rm -rf debian/gxemul/usr/share/doc/gxemul/*

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@

=== debian/watch ===
version=3
http://gxemul.sourceforge.net/src/gxemul-(\d+\..+)\.tar\.gz

## gxemul 0.6.1

=== demos/disk/Makefile ===
all:
	@echo Read the README file for instructions on how to build
	@echo the demo program.

clean:
	rm -f *.o disk_* *core

=== demos/hello/Makefile ===
all:
	@echo Read the README file for instructions on how to build
	@echo the demo program.

clean:
	rm -f *.o hello_* *core

=== debian/changelog ===
gxemul (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:48 +0100

gxemul (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Göran Weinholt ]
  * New upstream version
  * debian/control: Update description with new machines
  * debian/copyright: Update third-party copyrights
  * debian/gbp.conf: Add gbp configuration
  * Remove all debian/patches (fixed upstream)

 -- Göran Weinholt <weinholt@debian.org>  Fri, 07 Dec 2018 20:52:23 +0100

gxemul (0.6.0.2-2) unstable; urgency=medium

  * Incorporate all thirdparty code into debian/copyright

 -- Göran Weinholt <weinholt@debian.org>  Sun, 30 Sep 2018 18:05:18 +0200

gxemul (0.6.0.2-1) unstable; urgency=medium

  * New upstream version
  * Package resurrected and new maintainer.
    Thanks to Jonathan Wiltshire, for maintaining it while I was away.
    (Closes: #909411)
  * Update to debhelper compatibility level 11
  * Remove obsolete buildsystem patch
  * Replace priority extra with optional
  * Disable valgrind when running tests
  * Update homepage & watch to gavare.se and move Vcs-* to Salsa
  * Add doxygen to build-depends
  * debian/copyright: Update copyright years
  * Fix {RELEASE,TODO}.html being installed in both packages
  * Update to Standards-Version 4.2.1
  * Patch: Clean up extra files in the clean_all target
  * Patch: Disable regeneration of unclean src/machines/.index

 -- Göran Weinholt <weinholt@debian.org>  Sun, 23 Sep 2018 23:38:55 +0200

=== debian/control ===
Source: gxemul
Section: misc
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Build-Depends: debhelper (>= 11~), libx11-dev, doxygen
Standards-Version: 4.2.1
Homepage: http://gavare.se/gxemul/
Vcs-Browser: https://salsa.debian.org/debian/gxemul
Vcs-Git: https://salsa.debian.org/debian/gxemul.git

Package: gxemul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gxemul-doc
Description: machine emulator for multiple architectures
 GXemul aims at emulating complete machines with enough hardware
 emulated to run real unmodified operating systems. The emulation of
 these machine types is good enough to run a least one guest operating
 system:
 .
 ARM-based machines:
  * CATS (NetBSD/cats, OpenBSD/cats)
  * IQ80321 (NetBSD/evbarm)
  * NetWinder (NetBSD/netwinder)
 MIPS-based machines:
  * DECstation 5000/200 (NetBSD/pmax, OpenBSD/pmax, Ultrix,
    Linux/DECstation, Sprite)
  * Acer Pica-61 (NetBSD/arc)
  * NEC MobilePro 770, 780, 800, 880 (NetBSD/hpcmips)
  * Cobalt (NetBSD/cobalt)
  * Malta (NetBSD/evbmips, Linux/Malta)
  * Algorithmics P5064 (NetBSD/algor)
  * SGI O2 (aka IP32) (NetBSD/sgi)
 Motorola 88K-based machines:
  * Motorola MVME187 (OpenBSD/mvme88k)
  * Luna 88K (OpenBSD/luna88k)
 PowerPC-based machines:
  * IBM 6050/6070 (PReP, PowerPC Reference Platform) (NetBSD/prep)
  * MacPPC (generic "G4" Macintosh) (NetBSD/macppc)
  * Artesyn PM/PPC (NetBSD/pmppc)
 SuperH-based machines:
  * Sega Dreamcast (NetBSD/dreamcast, Linux/dreamcast)
  * Landisk I-O DATA USL-5P (OpenBSD/landisk)
 .
 Other machine types and architectures are emulated less completely.
 See the documentation in the gxemul-doc package for the exact details
 and guides to installing guest operating systems.

Package: gxemul-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gxemul documentation
 This package contains the documentation for gxemul, the machine
 emulator for multiple architectures. Among other things, instructions
 for how to get different guest operating systems running are
 included.

## gxemul 0.6.2

=== debian/changelog ===
gxemul (0.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

  [ Göran Weinholt ]
  * debian/control: Standards-Version 4.5.0 (no changes)

 -- Göran Weinholt <weinholt@debian.org>  Tue, 25 Aug 2020 21:25:06 +0200

gxemul (0.6.2-1) experimental; urgency=low

  * New upstream version
  * debian/copyright: Update copyright years
  * debian/rules: Disable tests, upstream knows they are broken

 -- Göran Weinholt <weinholt@debian.org>  Mon, 24 Jun 2019 22:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Göran Weinholt <weinholt@debian.org>
-Build-Depends: debhelper (>= 11~), libx11-dev, doxygen
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11), libx11-dev, doxygen
+Standards-Version: 4.5.0
 Homepage: http://gavare.se/gxemul/
 Vcs-Browser: https://salsa.debian.org/debian/gxemul
 Vcs-Git: https://salsa.debian.org/debian/gxemul.git

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for gxemul.

#export DH_VERBOSE=1

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
endif

override_dh_auto_configure:
	CFLAGS="${CFLAGS}" PREFIX="/usr" DESTDIR=$(shell pwd)/debian/tmp ./configure --disable-valgrind
	touch configure-stamp

override_dh_install:
	dh_install
	rm -rf debian/gxemul/usr/share/doc/gxemul/*

override_dh_installdocs:
	dh_installdocs
	rm -f debian/gxemul-doc/usr/share/doc/gxemul/machines/*.SKEL
	rm -f debian/gxemul-doc/usr/share/doc/gxemul/RELEASE.html
	rm -f debian/gxemul-doc/usr/share/doc/gxemul/TODO.html

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_clean:
	dh_clean
	if [ -f Makefile ]; then make clean_all; fi

override_dh_auto_test:

%:
	dh $@

=== debian/watch ===
version=3
http://gavare.se/gxemul/src/gxemul-(\d+\..+)\.tar\.gz

## gxemul 0.7.0%2Bdfsg

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
  http://gavare.se/gxemul/src/gxemul-(\d+\..+)\.tar\.gz

## gxemul 0.7.0+dfsg

=== demos/Makefile ===
all:
	@echo Read the README files for instructions on how to build
	@echo the demo programs.

clean:
	cd disk; $(MAKE) clean
	cd hello; $(MAKE) clean
	cd mp; $(MAKE) clean
	cd rectangles; $(MAKE) clean
	rm -f *.o *core

=== experiments/Makefile ===
BINS=cp_removeblocks bintrans_eval try_runlen udp_snoop \
	sgiprom_to_bin decprom_dump_txt_to_bin hex_to_bin \
	new_test_1 new_test_2 new_test_x new_test_loadstore ic_statistics

all: $(BINS)

new_test_loadstore: new_test_loadstore_a.o new_test_loadstore_b.o
	$(CC) new_test_loadstore_a.o new_test_loadstore_b.o -o new_test_loadstore

clean:
	rm -f $(BINS) *.o *core native_cc_ld_test native_cc_ld_test.o

clean_all:
	$(MAKE) clean

=== demos/mp/Makefile ===
all:
	@echo Read the README file for instructions on how to build
	@echo the demo program.

clean:
	rm -f *.o mp_* *core

=== demos/rectangles/Makefile ===
all:
	@echo Read the README file for instructions on how to build
	@echo the demo program.

clean:
	rm -f *.o rectangles_* *core

=== test/floatingpoint/Makefile ===
CFLAGS=-DHOSTNATIVE -I../../src/include/testmachine

all:
	@echo Read the Makefile to see which targets are available.
	@echo To build for the host, type \"make native\"

fptest: fptest.o fpconst.o
	$(CC) fptest.o fpconst.o -o fptest

native: clean fptest
	./fptest > fptest_hostnative.output
	cat fptest_hostnative.output

clean:
	rm -f *.o fptest fptest.output *core


##############################################################################


arm: clean
	arm-unknown-elf-gcc -I../../src/include/testmachine -g fptest.c -O2 -c -mhard-float
	arm-unknown-elf-gcc -I../../src/include/testmachine -g fpconst.c -O2 -c -mhard-float
	arm-unknown-elf-ld -e f fptest.o fpconst.o -o fptest
	file fptest
	../../gxemul -qE testarm fptest > fptest_arm.output
	diff fptest_hostnative.output fptest_arm.output

mips32: clean
	mips64-unknown-elf-gcc -DMIPS -I../../src/include/testmachine -g fptest.c -O0 -mips1 -mabi=32 -c -G 0
	mips64-unknown-elf-gcc -DMIPS -I../../src/include/testmachine -g fpconst.c -O0 -mips1 -mabi=32 -c -G 0
	mips64-unknown-elf-ld -Ttext 0x80030000 -e f fptest.o fpconst.o -o fptest
	file fptest
	../../gxemul -C 4Kc -qE testmips fptest > fptest_mips32.output
	diff fptest_hostnative.output fptest_mips32.output

mips64: clean
	mips64-unknown-elf-gcc -DMIPS -I../../src/include/testmachine -g fptest.c -O0 -mips4 -mabi=64 -c -G 0
	mips64-unknown-elf-gcc -DMIPS -I../../src/include/testmachine -g fpconst.c -O0 -mips4 -mabi=64 -c -G 0
	mips64-unknown-elf-ld -Ttext 0xa800000000030000 -e f fptest.o fpconst.o -o fptest --oformat=elf64-bigmips
	file fptest
	../../gxemul -qE testmips fptest > fptest_mips64.output
	diff fptest_hostnative.output fptest_mips64.output

riscv: clean
	riscv64-unknown-elf-gcc -I../../src/include/testmachine -O2 -g fptest.c -c
	riscv64-unknown-elf-gcc -I../../src/include/testmachine -O2 -g fpconst.c -c
	riscv64-unknown-elf-ld -e _f fptest.o fpconst.o -o fptest
	file fptest
	../../gxemul -qE testriscv fptest > fptest_riscv.output
	diff fptest_hostnative.output fptest_riscv.output

sh4: clean
	sh4-unknown-elf-gcc -I../../src/include/testmachine -O2 -g fptest.c -c
	sh4-unknown-elf-gcc -I../../src/include/testmachine -O2 -g fpconst.c -c
	sh4-unknown-elf-ld -e _f fptest.o fpconst.o -o fptest
	file fptest
	../../gxemul -qE testsh fptest > fptest_sh4.output
	diff fptest_hostnative.output fptest_sh4.output

=== debian/changelog ===
gxemul (0.7.0+dfsg-2) unstable; urgency=medium

  * Add a patch from Jan-Benedict Glaw to fix tap support on Linux
    (closes: #1032471)
  * debian: Fix maintainer name
  * debian/control: Standards-Version 4.7.0 (no changes)

 -- Gwen Weinholt <weinholt@debian.org>  Sun, 22 Sep 2024 17:01:09 +0200

gxemul (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/gbp.conf: Fix upstream-tag template
  * debian/control: Update the list of supported systems
  * debian/copyright: Update to reflect upstream changes
  * debian/control: Mark gxemul as Multi-Arch: foreign
  * debian/rules: Remove --disable-valgrind flag; no longer exists
  * debian/rules: Sprinkle reproducible dust on the config
  * debian/patches/remove_defines: Upstream patch for a build failure
  * debian/rules: Remove -rpath flag after configuration
  * debian/copyright: Exclude test/FileLoader*; trivial but missing source
  * debian/watch: Add +dfsg on the repacked source
  * debian/rules: Remove useless fiddling with CFLAGS
  * debian/control: Remove unused doxygen build-dep
  * debian/rules: Support cross-compilation

 -- Göran Weinholt <weinholt@debian.org>  Sat, 27 Nov 2021 13:34:13 +0100

=== debian/control ===
Source: gxemul
Section: misc
Priority: optional
Maintainer: Gwen Weinholt <weinholt@debian.org>
Build-Depends: debhelper-compat (= 11), libx11-dev
Standards-Version: 4.7.0
Homepage: http://gavare.se/gxemul/
Vcs-Browser: https://salsa.debian.org/debian/gxemul
Vcs-Git: https://salsa.debian.org/debian/gxemul.git

Package: gxemul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gxemul-doc
Description: machine emulator for multiple architectures
 GXemul aims at emulating complete machines with enough hardware
 emulated to run real unmodified operating systems. The emulation of
 these machine types is good enough to run a least one guest operating
 system:
 .
 ARM-based machines:
  * CATS (NetBSD/cats, OpenBSD/cats, Debian GNU/Linux)
  * IQ80321 (NetBSD/evbarm)
  * NetWinder (NetBSD/netwinder)
  * Raspberry Pi (NetBSD/raspberrypi, FreeBSD, HelenOS/rpi)
 MIPS-based machines:
  * Acer Pica-61 (NetBSD/arc, Windows NT)
  * Algorithmics P5064 (NetBSD/algor)
  * Cobalt (NetBSD/cobalt)
  * DECstation 5000/200 (NetBSD/pmax, OpenBSD/pmax, Ultrix,
    Linux/DECstation, Sprite), DECstation 5000/1xx (raw PROM)
  * Malta (NetBSD/evbmips, Linux/Malta)
  * NEC MobilePro 770, 780, 800, 880 (NetBSD/hpcmips)
  * PlayStation 2 (NetBSD/playstation2)
  * SGI O2 (NetBSD/sgimips, OpenBSD/sgi, Linux, IRIX, raw PROM)
  * VoCore (FreeBSD/vocore, Linux/vocore)
 Motorola 88K-based machines:
  * Luna 88K (OpenBSD/luna88k)
  * Motorola MVME187 (OpenBSD/mvme88k)
 PowerPC-based machines:
  * Artesyn PM/PPC (NetBSD/pmppc)
  * IBM 6050/6070 (PReP, PowerPC Reference Platform) (NetBSD/prep)
  * MacPPC (NetBSD/macppc, HelenOS/ppc)
 SuperH-based machines:
  * Landisk I-O DATA USL-5P (NetBSD/landisk, OpenBSD/landisk)
  * Sega Dreamcast (NetBSD/dreamcast, Linux/dreamcast)
 .
 Other machine types and architectures are emulated less completely.
 See the documentation in the gxemul-doc package for the exact details
 and guides to installing guest operating systems.

Package: gxemul-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: gxemul documentation
 This package contains the documentation for gxemul, the machine
 emulator for multiple architectures. Among other things, instructions
 for how to get different guest operating systems running are
 included.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,25 @@
 #!/usr/bin/make -f
 # debian/rules for gxemul.
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 
-#export DH_VERBOSE=1
-
-CFLAGS = -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
 endif
 
 override_dh_auto_configure:
-	CFLAGS="${CFLAGS}" PREFIX="/usr" DESTDIR=$(shell pwd)/debian/tmp ./configure --disable-valgrind
+	CFLAGS="${CFLAGS}" PREFIX="/usr" DESTDIR=$(shell pwd)/debian/tmp ./configure
+	sed -e 's/#define VERSION.*/#define VERSION \"$(DEB_VERSION_UPSTREAM)\"/g' \
+	    -e 's/#define COMPILE_DATE.*/#define COMPILE_DATE "compiled by Debian"/' \
+	    -i config.h
+	sed -e 's/-Wl,-rpath,[^\w]*//g' -i Makefile
 	touch configure-stamp
+
+override_dh_auto_build:
+	make -C src/include
+	make -C src/devices/fonts Xconv_raw_to_c
+	make -C src/cpus generate_head generate_tail $(shell awk '/^CPU_TOOLS/{$$1="";print}' src/cpus/Makefile)
+	dh_auto_build -- CC="${CC}"
 
 override_dh_install:
 	dh_install
